package com.qmth.distributed.print.business.enums;

import com.qmth.teachcloud.common.enums.EnumResult;

import java.util.ArrayList;
import java.util.List;

/**
 * 考试试卷结构同步状态
 */
public enum ExamPaperStructureStatusTypeEnum {

    STRUCTURE("structure","未开始"),
    GROUP("group","主观题结构同步成功"),
    CLASS("class","分组同步成功"),
    OBJECTIVE("objective","绑定评卷员同步成功，结束"),
    MARKER_LEADER("markerLeader","绑定评卷员同步成功，结束"),
    MARKER("marker","绑定评卷员同步成功，结束"),
    ANSWER_FILE("answerFile","绑定评卷员同步成功，结束");

    ExamPaperStructureStatusTypeEnum(String type, String desc) {
        this.type = type;
        this.desc = desc;
    }

    private String type;
    private String desc;

    public String getType() {
        return type;
    }

    public String getDesc() {
        return desc;
    }

    /**
     * @return
     */
    public static List<EnumResult> listTypes() {
        List<EnumResult> list = new ArrayList<EnumResult>();
        for (ExamPaperStructureStatusTypeEnum value : ExamPaperStructureStatusTypeEnum.values()) {
            EnumResult result = new EnumResult();
            result.setName(value.name());
            result.setOrdinal(value.ordinal());
            result.setCode(null);
            result.setDesc(value.getDesc());
            list.add(result);
        }
        return list;
    }

}
